
LoadDemoRecordNamesList ()
{
    new String:szText[PLATFORM_MAX_PATH];
    new Handle:hMapFile = INVALID_HANDLE;

    LogMessage ("[YGMSM] Parsing demonames.ini");
    ClearArray (g_hArrayRecordNames);

    if ((hMapFile = OpenFile (g_szDemoRecordNamesFileLoc, "r")) != INVALID_HANDLE)
    {
        while (!IsEndOfFile (hMapFile) && ReadFileLine (hMapFile, szText, sizeof (szText)))
        {
            TrimString (szText);
            if ((szText[0] != '\0') && (szText[0] != ';') && (szText[1] != ';') && (szText[0] != '/') && (szText[1] != '/') && IsCharAlpha (szText[0]))
                PushArrayString (g_hArrayRecordNames, szText);
        }

        LogMessage ("[YGMSM] Finished parsing demonames.ini - Found %d diffrent demo record names", GetArraySize (g_hArrayRecordNames));
        CloseHandle (hMapFile);
    }
    else
    {
        LogMessage ("[YGMSM] Error - Unable to find demonames.ini - check its in \"%s\"", g_szDemoRecordNamesFileLoc);
    }
}

SetupDemoRecordName (String:szInDemoName[], iInSize, String:szOutDemoName[], iOutSize)
{
    decl String:szPlayerCount[4] = "", String:szHalfPlayerCount[4] = "";
    static iClientCount = 0;
    
    iClientCount = GetClientCount (false) - 1; // minus 1 to deduct the source tv slot
    
    if (iClientCount > 1)
        IntToString (iClientCount / 2, szHalfPlayerCount, sizeof (szHalfPlayerCount));
    else
        IntToString (iClientCount, szHalfPlayerCount, sizeof (szHalfPlayerCount));

    IntToString (iClientCount, szPlayerCount, sizeof (szPlayerCount));
    ReplaceString (szInDemoName, iInSize, "$DATE", "%d");
    ReplaceString (szInDemoName, iInSize, "$MONTH", "%m");
    ReplaceString (szInDemoName, iInSize, "$YEAR", "%Y");
    ReplaceString (szInDemoName, iInSize, "$HOUR", "%H");
    ReplaceString (szInDemoName, iInSize, "$MIN", "%M");
    ReplaceString (szInDemoName, iInSize, "$MAP", g_szCurrentMap);
    ReplaceString (szInDemoName, iInSize, "$PLAYERS", szPlayerCount);
    ReplaceString (szInDemoName, iInSize, "$HALFPLAYERS", szHalfPlayerCount);
    FormatTime (szOutDemoName, iOutSize, szInDemoName);
}


CheckForDemExtension (String:szDemoName[], iSize)
{
    if (StrContains (szDemoName, ".dem", false) == -1)
        StrCat (szDemoName, iSize, ".dem");
}

CheckForRecordDirectory (String:szRecordName[], iSize)
{
    decl String:szTempBuffer[PLATFORM_MAX_PATH] = "", String:szRecordDir[PLATFORM_MAX_PATH] = "";
    
    strcopy (szTempBuffer, sizeof (szTempBuffer), szRecordName);
    GetConVarString (g_cVarDemoRecordFolder, szRecordDir, sizeof (szRecordDir));
    
    if (strcmp (szRecordDir, "", false) && DirExists (szRecordDir))
        Format (szRecordName, iSize, "%s/%s", szRecordDir, szTempBuffer);
}
