

public Event_RoundStart (Handle:event, const String:name[], bool:dontBroadcast)
{
    if (g_bIsKnifeRound)
    {
        UTIL_SetClientsKnivesOnly ();
	}
}

public Event_RoundEnd (Handle:event, const String:name[], bool:dontBroadcast)
{
    if (g_bIsKnifeRound)
    {
        g_bIsKnifeRound = false;
    }
}

RegisterEventHooks ()
{
    if (!HookEvent ("round_start", Event_RoundStart) || !HookEvent ("round_end", Event_RoundEnd))
        SetFailState ("[YGMSM] Error - Unable to hook events");
}


UnRegisterEventHooks ()
{
    UnhookEvent ("round_start", Event_RoundStart);
    UnhookEvent ("round_end", Event_RoundEnd);
}
