/*
 * YeGods Match Server Manager for SourceMod - www.sourcemod.net
 *
 * coded by dubbeh - www.yegods.net
 *
 * Licensed under the GPLv3
 * 
 */


public Plugin:myinfo =
{
    name = "YeGods Match Server Manager",
    author = "dubbeh",
    description = "YeGods Match Server Management System",
    version = PLUGIN_VERSION,
    url = "http://www.yegods.net"
};

/* cVar Handles */
new Handle:g_cVarEnable = INVALID_HANDLE;
new Handle:g_cVarEnableLO3 = INVALID_HANDLE;
new Handle:g_cVarMinPlayersStopTV = INVALID_HANDLE;
new Handle:g_cVarDemoRecordFolder = INVALID_HANDLE;
new Handle:g_cVarKnifeRoundStrip = INVALID_HANDLE;
new Handle:g_cVarMinPlayersBlockQuit = INVALID_HANDLE;
new Handle:g_cVarTVEnabled = INVALID_HANDLE;
new Handle:g_cVarMinRate = INVALID_HANDLE;
new Handle:g_cVarMinCmdRate = INVALID_HANDLE;
new Handle:g_cVarMinUpdRate = INVALID_HANDLE;

/* Menu Handles */
new Handle:g_hAdminMenu = INVALID_HANDLE;
new Handle:g_hPlayerManagementMenu = INVALID_HANDLE;
new Handle:g_hServerManagementMenu = INVALID_HANDLE;
new Handle:g_hMapChangeMenu = INVALID_HANDLE;
new Handle:g_hConfigLoadMenu = INVALID_HANDLE;
new Handle:g_hLo3Ko3RRMenu = INVALID_HANDLE;
new Handle:g_hServerPasswordMenu = INVALID_HANDLE;
new Handle:g_hRconCommandsMenu = INVALID_HANDLE;
new Handle:g_hPlayerKickMenu = INVALID_HANDLE;
new Handle:g_hPlayerBanMenu = INVALID_HANDLE;
new Handle:g_hPlayerMuteMenu = INVALID_HANDLE;
new Handle:g_hPlayerSwapTeamMenu = INVALID_HANDLE;
new Handle:g_hUnbanTypeMenu = INVALID_HANDLE;

/* Menu Titles */
new String:g_szPlayerKickMenuTitle[] = "Select a player to kick:";
new String:g_szPlayerBanMenuTitle[] = "Select a player to ban:";
new String:g_szPlayerMuteMenuTitle[] = "Select a player to mute:";
new String:g_szPlayerSwapTeamMenuTitle[] = "Select a player to swap team:";
new String:g_szServerConfigLoadMenuTitle[] = "Select a config to load:";
new String:g_szServerPasswordMenuTitle[] = "Select a server password:";
new String:g_szMapSelectionMenuTitle[] = "Select a map:";
new String:g_szUnbanIDMenuTitle[] = "Select an ID to unban:";
new String:g_szUnbanIPMenuTitle[] = "Select an IP to unban:";

/* File Locations */
new String:g_szMapListFileLoc[] = "maplist.txt";
new String:g_szPasswordsFileLoc[] = "cfg/ygmsm/passwords.ini";
new String:g_szConfigsFileLoc[] = "cfg/ygmsm/confignames.ini";
new String:g_szBannedUserIDsFileLoc[] = "cfg/banned_user.cfg";
new String:g_szBannedUserIPsFileLoc[] = "cfg/banned_ips.cfg";
new String:g_szDemoRecordNamesFileLoc[] = "cfg/ygmsm/demonames.ini";

/* Array Handles */
new Handle:g_hArrayRecordNames = INVALID_HANDLE;
new Handle:g_hArrayIPBans = INVALID_HANDLE;
new Handle:g_hArrayIDBans = INVALID_HANDLE;

/* Client Recording Info */
new bool:g_bClientMuted[MAXPLAYERS+1];

/* Others */
new Handle:g_hGameConf = INVALID_HANDLE;
new Handle:g_hEquipWeapon = INVALID_HANDLE;
new String:g_szDemoRecordName[PLATFORM_MAX_PATH] = "";
new String:g_szCurrentMap[32] = "";
new bool:g_bIsKnifeRound = false;
new g_iClientRunningLo3Ko3 = -1;
new bool:g_bSourceTVActive = false;
new g_iMoney = -1;
new g_iMyWeapons = -1;

